Retrieve category details with items and subcategories
curl --request POST \
--url https://v3.minestorecms.com/api/categories/get/{url} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v3.minestorecms.com/api/categories/get/{url}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v3.minestorecms.com/api/categories/get/{url}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": {
"id": 1,
"name": "Electronics",
"comparison": [
{
"id": 101,
"name": "Price",
"description": "Price comparison",
"type": "price",
"sorting": 1
}
]
},
"subcategories": [
{
"category": {
"id": 2,
"name": "Survival",
"comparison": [
{
"id": 201,
"name": "Brand",
"description": "Brand comparison",
"type": "brand",
"sorting": 2
}
]
},
"items": [
{
"name": "MVP Rank",
"price": 299.99,
"discount": 10,
"active": true,
"is_subs": false,
"custom_price": false,
"min_price": 250,
"quantityGlobalLimit": 100,
"quantityGlobalCurrentLimit": 50,
"quantityUserLimit": 5,
"quantityUserCurrentLimit": 1,
"is_unavailable": false,
"allow_select_server": true,
"allowed_servers": [
{
"id": 1,
"name": "Server A"
}
],
"virtual_price": 299.99,
"is_virtual_currency_only": false,
"image": "/img/items/1234.png",
"id": 1234,
"featured": true,
"comparison": [
{
"comparison_id": 301,
"value": "Excellent"
}
]
}
]
}
]
}Packages Endpoints
Category Packages
This endpoint retrieves details of a specific category, including its items and subcategories. It also handles limits, discounts, and custom price options for the items.
POST
/
categories
/
get
/
{url}
Retrieve category details with items and subcategories
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The URL or identifier of the category to retrieve
⌘I

